Bug 520200 - Unable to print to HP USB printer
Summary: Unable to print to HP USB printer
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-28 21:05 UTC by Xavier Bachelot
Modified: 2010-06-28 14:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:21:50 UTC


Attachments (Terms of Use)
output from the troubleshooter (78.37 KB, text/plain)
2009-08-31 19:55 UTC, Xavier Bachelot
no flags Details
Hp P1007 USB printer not get printed in F11 (168.37 KB, text/plain)
2010-04-17 07:20 UTC, Jebasingh
no flags Details

Description Xavier Bachelot 2009-08-28 21:05:36 UTC
Description of problem:
USB connected HP Photosmart C4400 printer unable to print properly.
Only top of the page is printed then the job is aborted.

Here's what is printed when the device is plugged : 
Aug 28 21:12:04 smeagol kernel: usb 1-4: new high speed USB device using ehci_hcd and address 4
Aug 28 21:12:04 smeagol kernel: usb 1-4: configuration #1 chosen from 1 choice
Aug 28 21:12:04 smeagol kernel: usblp0: USB Bidirectional printer dev 4 if 1 alt 0 proto 2 vid 0x03F0 pid 0x6C11
Aug 28 21:12:04 smeagol kernel: scsi8 : SCSI emulation for USB Mass Storage devices
Aug 28 21:12:04 smeagol kernel: usb 1-4: New USB device found, idVendor=03f0, idProduct=6c11
Aug 28 21:12:04 smeagol kernel: usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Aug 28 21:12:04 smeagol kernel: usb 1-4: Product: Photosmart C4400 series
Aug 28 21:12:04 smeagol kernel: usb 1-4: Manufacturer: HP
Aug 28 21:12:04 smeagol kernel: usb 1-4: SerialNumber: TH88TH40DV05BN
Aug 28 21:12:09 smeagol kernel: scsi 8:0:0:0: Direct-Access     HP       Photosmart C4400 1.00 PQ: 0 ANSI: 5
Aug 28 21:12:09 smeagol kernel: sd 8:0:0:0: [sde] Attached SCSI removable disk
Aug 28 21:12:09 smeagol kernel: sd 8:0:0:0: Attached scsi generic sg4 type 0

Indeed, the device is set correctly :
[root@smeagol ~]# ll /dev/usblp0                                                                                                                                                                              
lrwxrwxrwx 1 root root 7 2009-08-28 21:12 /dev/usblp0 -> usb/lp0                                                                                                                                              
[root@smeagol ~]# ll /dev/usb/
total 0                       
crw-rw---- 1 root lp 180, 0 2009-08-28 21:12 lp0

As soon as I click on print test page in the cups admin interface, this is printed to /var/log/messages :
Aug 28 21:13:14 smeagol kernel: usblp0: removed

and indeed the device is gone :
[root@smeagol ~]# ll /dev/usblp0
ls: cannot access /dev/usblp0: No such file or directory

The following line is printed several time in the log
Aug 28 21:14:00 smeagol Photosmart_C4400_series?serial=TH88TH40DV05BN: io/hpmud/musb.c 1381: unable to write data hp:/usb/Photosmart_C4400_series?serial=TH88TH40DV05BN: 45 second io timeout

After some time, the first five centimeters or so from the top of the page are printed, the sheet is ejected and the above line keeps getting repeated until the job is canceled in the cups interface.


Version-Release number of selected component (if applicable):
kernel-2.6.27.30-170.2.82.fc10.i686
cups-1.3.10-5.fc10.i386
hpijs-2.8.12-6.fc10.i386

Using kernel from updates-testing doesn't help :
kernel-2.6.29.6-99.fc10.i686


How reproducible:
Always

Steps to Reproduce:
1. Connect printer
2. Set up printer in cups interface 
3. Print test page
  
Actual results:
Only first centimeters of the test page is printed.

Expected results:
Test page is properly printed.

Additional info:
The same printer works fine when connected on an F12 Alpha machine :
kernel-PAE-2.6.31-0.167.rc6.git6.fc12.i686
cups-1.4-0.rc1.16.fc12.i686
hpijs-3.9.8-6.fc12.i686

Same issue is reproduced on another F10 machine with the same printer. I don't have a F11 machine with me now, so I can't redo the tests, but it was also working fine when I tested on F11 a few days ago.

Comment 1 Jiri Popelka 2009-08-31 12:55:06 UTC
Please run the printing troubleshooter.
System->Administration->Printing,
then Help->Troubleshoot from the menu bar.
Select your printer, enable debugging, try to print test page
and save the diagnostic output.
Attach the output to this bug report.   Thanks.

Comment 2 Xavier Bachelot 2009-08-31 19:55:48 UTC
Created attachment 359313 [details]
output from the troubleshooter

Comment 3 Xavier Bachelot 2009-09-23 10:15:00 UTC
Do you need more input or tests to diagnose and fix the issue ? I'm glad to help, indeed.

Comment 4 Bug Zapper 2009-11-18 12:13:27 UTC
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Marc Wilson 2009-12-14 21:01:41 UTC
I have a similar problem in F11.  My HP Photosmart 5280 is connected at boot directly to the computer.  It's detected, and udev creates /dev/usblp0.

The problem is, HPLIP can't talk to it:

Dec 14 12:41:48 dell Photosmart-C5200-series: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Dec 14 12:41:48 dell Photosmart-C5200-series: io/hpmud/musb.c 603: invalid product id string ret=-1
Dec 14 12:41:48 dell Photosmart-C5200-series: io/hpmud/musb.c 1104: unable to open hp:/usb/Photosmart_C5200_series?serial=MY83LG204B04XQ
Dec 14 12:41:48 dell Photosmart-C5200-series: prnt/hpijs/hpcups.cpp 156: unable to set Quality=0, MediaType=5, ColorMode=2, err=2
Dec 14 12:41:48 dell Photosmart-C5200-series: prnt/hpijs/hpcups.cpp 158: following will be used Quality=0, MediaType=0, ColorMode=2, 
Dec 14 12:41:48 dell hp[3483]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Dec 14 12:41:48 dell hp[3483]: io/hpmud/musb.c 603: invalid product id string ret=-1
Dec 14 12:41:48 dell hp[3483]: io/hpmud/musb.c 1104: unable to open hp:/usb/Photosmart_C5200_series?serial=MY83LG204B04XQ
Dec 14 12:41:48 dell hp[3483]: prnt/backend/hp.c 746: INFO: open device failed stat=12; will retry in 30 seconds...
Dec 14 12:42:18 dell hp[3483]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Dec 14 12:42:18 dell hp[3483]: io/hpmud/musb.c 603: invalid product id string ret=-1
Dec 14 12:42:18 dell hp[3483]: io/hpmud/musb.c 1104: unable to open hp:/usb/Photosmart_C5200_series?serial=MY83LG204B04XQ
Dec 14 12:42:18 dell hp[3483]: prnt/backend/hp.c 746: INFO: open device failed stat=12; will retry in 30 seconds...
Dec 14 12:42:21 dell kernel: b9, flush one!
Dec 14 12:42:49 dell hp[3483]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Dec 14 12:42:49 dell hp[3483]: io/hpmud/musb.c 603: invalid product id string ret=-1
Dec 14 12:42:49 dell hp[3483]: io/hpmud/musb.c 1104: unable to open hp:/usb/Photosmart_C5200_series?serial=MY83LG204B04XQ
Dec 14 12:42:49 dell hp[3483]: prnt/backend/hp.c 746: INFO: open device failed stat=12; will retry in 30 seconds...
Dec 14 12:43:19 dell hp[3483]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Dec 14 12:43:19 dell hp[3483]: io/hpmud/musb.c 603: invalid product id string ret=-1
Dec 14 12:43:19 dell hp[3483]: io/hpmud/musb.c 1104: unable to open hp:/usb/Photosmart_C5200_series?serial=MY83LG204B04XQ
Dec 14 12:43:19 dell hp[3483]: prnt/backend/hp.c 746: INFO: open device failed stat=12; will retry in 30 seconds...
Dec 14 12:43:37 dell kernel: d8, flush one!
Dec 14 12:43:49 dell hp[3483]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Dec 14 12:43:49 dell hp[3483]: io/hpmud/musb.c 603: invalid product id string ret=-1
Dec 14 12:43:49 dell hp[3483]: io/hpmud/musb.c 1104: unable to open hp:/usb/Photosmart_C5200_series?serial=MY83LG204B04XQ
Dec 14 12:43:49 dell hp[3483]: prnt/backend/hp.c 746: INFO: open device failed stat=12; will retry in 30 seconds...
Dec 14 12:44:19 dell hp[3483]: io/hpmud/musb.c 136: unable get_string_descriptor -1: Operation not permitted
Dec 14 12:44:19 dell hp[3483]: io/hpmud/musb.c 603: invalid product id string ret=-1
Dec 14 12:44:19 dell hp[3483]: io/hpmud/musb.c 1104: unable to open hp:/usb/Photosmart_C5200_series?serial=MY83LG204B04XQ
Dec 14 12:44:19 dell hp[3483]: prnt/backend/hp.c 746: INFO: open device failed stat=12; will retry in 30 seconds...

This is from trying to print a test page.

Now, I disconnect the printer from the computer, and I get:

Dec 14 12:44:38 dell kernel: usb 2-3: USB disconnect, address 2
Dec 14 12:44:38 dell kernel: usblp0: removed
Dec 14 12:44:39 dell hal_lpadmin: Disabled printer Photosmart-C5200-series, as the corresponding device was unplugged or turned off

And then I plug it back in:

Dec 14 12:44:46 dell kernel: usb 2-3: new high speed USB device using ehci_hcd and address 5
Dec 14 12:44:46 dell kernel: usb 2-3: New USB device found, idVendor=03f0, idProduct=5d11
Dec 14 12:44:46 dell kernel: usb 2-3: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Dec 14 12:44:46 dell kernel: usb 2-3: Product: Photosmart C5200 series
Dec 14 12:44:46 dell kernel: usb 2-3: Manufacturer: HP
Dec 14 12:44:46 dell kernel: usb 2-3: SerialNumber: MY83LG204B04XQ
Dec 14 12:44:46 dell kernel: usb 2-3: configuration #1 chosen from 1 choice
Dec 14 12:44:46 dell kernel: usblp0: USB Bidirectional printer dev 5 if 1 alt 0 proto 2 vid 0x03F0 pid 0x5D11
Dec 14 12:44:46 dell kernel: scsi9 : SCSI emulation for USB Mass Storage devices
Dec 14 12:44:48 dell hal_lpadmin: Re-enabling printer Photosmart-C5200-series

Except there's no /dev/usblp0 this time:

dell $ ls -l /dev/usblp0
ls: cannot access /dev/usblp0: No such file or directory

And there's no /dev/usb/lp0 this time:
dell $ ls -l /dev/usb/
total 0
crw-rw----. 1 root root 180, 96 2009-12-14 12:11 hiddev0

Except now the printer prints.

Comment 6 Bug Zapper 2009-12-18 09:41:50 UTC
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Jebasingh 2010-04-17 07:20:36 UTC
Created attachment 407240 [details]
Hp P1007 USB printer not get printed in F11

The HP printer p1007 attached to my computer through USB port.My PC running Fedora 11. Even test page is not get printed.

Comment 9 Tim Waugh 2010-04-23 15:19:14 UTC
Jebasingh: I can see this in the error log:
D [17/Apr/2010:12:34:43 +0530] [Job 29] STATE: +hplip.plugin-error

Looks like you need to install HP's proprietary "plugin" for HPLIP in order to get your printer to print.  Use the 'hp-plugin' command.

Comment 10 Bug Zapper 2010-04-28 10:02:57 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Bug Zapper 2010-06-28 14:21:50 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.